diff --git a/dlls/mfplat/tests/mfplat.c b/dlls/mfplat/tests/mfplat.c
index 8d21f2ed6..20577453f 100644
--- a/dlls/mfplat/tests/mfplat.c
+++ b/dlls/mfplat/tests/mfplat.c
@@ -2476,165 +2442,165 @@ static void test_sample(void)
 
     /* CopyToBuffer() */
     hr = MFCreateSample(&sample);
-    ok(hr == S_OK, "Failed to create a sample, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create a sample, hr %#x.\n", hr);
 
     hr = MFCreateMemoryBuffer(16, &buffer2);
-    ok(hr == S_OK, "Failed to create a buffer, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create a buffer, hr %#x.\n", hr);
 
     /* Sample with no buffers. */
     hr = IMFMediaBuffer_SetCurrentLength(buffer2, 1);
-    ok(hr == S_OK, "Failed to set current length, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set current length, hr %#x.\n", hr);
     hr = IMFSample_CopyToBuffer(sample, buffer2);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     hr = IMFMediaBuffer_GetCurrentLength(buffer2, &length);
-    ok(hr == S_OK, "Failed to get current length, hr %#lx.\n", hr);
-    ok(!length, "Unexpected length %lu.\n", length);
+    ok(hr == S_OK, "Failed to get current length, hr %#x.\n", hr);
+    ok(!length, "Unexpected length %u.\n", length);
 
     /* Single buffer, larger destination. */
     hr = MFCreateMemoryBuffer(8, &buffer);
-    ok(hr == S_OK, "Failed to create a buffer, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create a buffer, hr %#x.\n", hr);
 
     hr = IMFMediaBuffer_Lock(buffer, &data, NULL, NULL);
-    ok(hr == S_OK, "Failed to lock buffer, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to lock buffer, hr %#x.\n", hr);
     *(DWORD *)data = 0x11111111;
     hr = IMFMediaBuffer_Unlock(buffer);
-    ok(hr == S_OK, "Failed to unlock, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to unlock, hr %#x.\n", hr);
     hr = IMFMediaBuffer_SetCurrentLength(buffer, 4);
-    ok(hr == S_OK, "Failed to set current length, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set current length, hr %#x.\n", hr);
 
     hr = IMFSample_AddBuffer(sample, buffer);
-    ok(hr == S_OK, "Failed to add buffer, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to add buffer, hr %#x.\n", hr);
 
     /* Existing content is overwritten. */
     hr = IMFMediaBuffer_SetCurrentLength(buffer2, 8);
-    ok(hr == S_OK, "Failed to set length, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set length, hr %#x.\n", hr);
 
     hr = IMFSample_CopyToBuffer(sample, buffer2);
-    ok(hr == S_OK, "Failed to copy to buffer, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to copy to buffer, hr %#x.\n", hr);
 
     hr = IMFMediaBuffer_GetCurrentLength(buffer2, &length);
-    ok(hr == S_OK, "Failed to get length, hr %#lx.\n", hr);
-    ok(length == 4, "Unexpected buffer length %lu.\n", length);
+    ok(hr == S_OK, "Failed to get length, hr %#x.\n", hr);
+    ok(length == 4, "Unexpected buffer length %u.\n", length);
 
     /* Multiple buffers, matching total size. */
     hr = IMFSample_AddBuffer(sample, buffer);
-    ok(hr == S_OK, "Failed to add buffer, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to add buffer, hr %#x.\n", hr);
 
     hr = IMFSample_GetBufferCount(sample, &count);
-    ok(hr == S_OK, "Failed to get buffer count, hr %#lx.\n", hr);
-    ok(count == 2, "Unexpected buffer count %lu.\n", count);
+    ok(hr == S_OK, "Failed to get buffer count, hr %#x.\n", hr);
+    ok(count == 2, "Unexpected buffer count %u.\n", count);
 
     hr = IMFMediaBuffer_SetCurrentLength(buffer, 8);
-    ok(hr == S_OK, "Failed to set current length, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set current length, hr %#x.\n", hr);
 
     hr = IMFSample_CopyToBuffer(sample, buffer2);
-    ok(hr == S_OK, "Failed to copy to buffer, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to copy to buffer, hr %#x.\n", hr);
 
     hr = IMFMediaBuffer_GetCurrentLength(buffer2, &length);
-    ok(hr == S_OK, "Failed to get length, hr %#lx.\n", hr);
-    ok(length == 16, "Unexpected buffer length %lu.\n", length);
+    ok(hr == S_OK, "Failed to get length, hr %#x.\n", hr);
+    ok(length == 16, "Unexpected buffer length %u.\n", length);
 
     hr = IMFSample_AddBuffer(sample, buffer);
-    ok(hr == S_OK, "Failed to add buffer, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to add buffer, hr %#x.\n", hr);
 
     hr = IMFMediaBuffer_SetCurrentLength(buffer2, 1);
-    ok(hr == S_OK, "Failed to set buffer length, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set buffer length, hr %#x.\n", hr);
 
     hr = IMFMediaBuffer_Lock(buffer2, &data, NULL, NULL);
-    ok(hr == S_OK, "Failed to lock buffer, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to lock buffer, hr %#x.\n", hr);
     *(DWORD *)data = test_pattern;
     hr = IMFMediaBuffer_Unlock(buffer2);
-    ok(hr == S_OK, "Failed to unlock buffer, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to unlock buffer, hr %#x.\n", hr);
 
     hr = IMFSample_CopyToBuffer(sample, buffer2);
-    ok(hr == MF_E_BUFFERTOOSMALL, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_BUFFERTOOSMALL, "Unexpected hr %#x.\n", hr);
 
     hr = IMFMediaBuffer_Lock(buffer2, &data, NULL, NULL);
-    ok(hr == S_OK, "Failed to lock buffer, hr %#lx.\n", hr);
-    ok(!memcmp(data, &test_pattern, sizeof(test_pattern)), "Unexpected contents, %#lx\n", *(DWORD *)data);
+    ok(hr == S_OK, "Failed to lock buffer, hr %#x.\n", hr);
+    ok(!memcmp(data, &test_pattern, sizeof(test_pattern)), "Unexpected contents, %#x\n", *(DWORD *)data);
     hr = IMFMediaBuffer_Unlock(buffer2);
-    ok(hr == S_OK, "Failed to unlock buffer, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to unlock buffer, hr %#x.\n", hr);
 
     hr = IMFMediaBuffer_GetCurrentLength(buffer2, &length);
-    ok(hr == S_OK, "Failed to get length, hr %#lx.\n", hr);
-    ok(!length, "Unexpected buffer length %lu.\n", length);
+    ok(hr == S_OK, "Failed to get length, hr %#x.\n", hr);
+    ok(!length, "Unexpected buffer length %u.\n", length);
 
     IMFMediaBuffer_Release(buffer2);
     IMFSample_Release(sample);
 
     /* ConvertToContiguousBuffer() */
     hr = MFCreateSample(&sample);
-    ok(hr == S_OK, "Failed to create a sample, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create a sample, hr %#x.\n", hr);
 
     hr = IMFSample_ConvertToContiguousBuffer(sample, &buffer);
-    ok(hr == E_UNEXPECTED, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_UNEXPECTED, "Unexpected hr %#x.\n", hr);
 
     hr = MFCreateMemoryBuffer(16, &buffer);
-    ok(hr == S_OK, "Failed to create a buffer, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create a buffer, hr %#x.\n", hr);
 
     hr = IMFSample_AddBuffer(sample, buffer);
-    ok(hr == S_OK, "Failed to add buffer, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to add buffer, hr %#x.\n", hr);
 
     hr = IMFSample_ConvertToContiguousBuffer(sample, &buffer2);
-    ok(hr == S_OK, "Failed to convert, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to convert, hr %#x.\n", hr);
     ok(buffer2 == buffer, "Unexpected buffer instance.\n");
     IMFMediaBuffer_Release(buffer2);
 
     hr = IMFSample_ConvertToContiguousBuffer(sample, NULL);
-    ok(hr == S_OK, "Failed to convert, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to convert, hr %#x.\n", hr);
 
     hr = IMFSample_ConvertToContiguousBuffer(sample, &buffer2);
-    ok(hr == S_OK, "Failed to convert, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to convert, hr %#x.\n", hr);
     ok(buffer2 == buffer, "Unexpected buffer instance.\n");
     IMFMediaBuffer_Release(buffer2);
 
     hr = IMFMediaBuffer_SetCurrentLength(buffer, 3);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
     hr = MFCreateMemoryBuffer(16, &buffer2);
-    ok(hr == S_OK, "Failed to create a buffer, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create a buffer, hr %#x.\n", hr);
 
     hr = IMFMediaBuffer_SetCurrentLength(buffer2, 4);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
     hr = IMFSample_AddBuffer(sample, buffer2);
-    ok(hr == S_OK, "Failed to add buffer, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to add buffer, hr %#x.\n", hr);
     IMFMediaBuffer_Release(buffer2);
 
     hr = IMFSample_GetBufferCount(sample, &count);
-    ok(hr == S_OK, "Failed to get buffer count, hr %#lx.\n", hr);
-    ok(count == 2, "Unexpected buffer count %lu.\n", count);
+    ok(hr == S_OK, "Failed to get buffer count, hr %#x.\n", hr);
+    ok(count == 2, "Unexpected buffer count %u.\n", count);
 
     hr = IMFSample_ConvertToContiguousBuffer(sample, &buffer3);
-    ok(hr == S_OK, "Failed to convert, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to convert, hr %#x.\n", hr);
 
     hr = IMFMediaBuffer_GetMaxLength(buffer3, &length);
-    ok(hr == S_OK, "Failed to get maximum length, hr %#lx.\n", hr);
-    ok(length == 7, "Unexpected length %lu.\n", length);
+    ok(hr == S_OK, "Failed to get maximum length, hr %#x.\n", hr);
+    ok(length == 7, "Unexpected length %u.\n", length);
 
     hr = IMFMediaBuffer_GetCurrentLength(buffer3, &length);
-    ok(hr == S_OK, "Failed to get maximum length, hr %#lx.\n", hr);
-    ok(length == 7, "Unexpected length %lu.\n", length);
+    ok(hr == S_OK, "Failed to get maximum length, hr %#x.\n", hr);
+    ok(length == 7, "Unexpected length %u.\n", length);
 
     IMFMediaBuffer_Release(buffer3);
 
     hr = IMFSample_GetBufferCount(sample, &count);
-    ok(hr == S_OK, "Failed to get buffer count, hr %#lx.\n", hr);
-    ok(count == 1, "Unexpected buffer count %lu.\n", count);
+    ok(hr == S_OK, "Failed to get buffer count, hr %#x.\n", hr);
+    ok(count == 1, "Unexpected buffer count %u.\n", count);
 
     hr = IMFSample_AddBuffer(sample, buffer);
-    ok(hr == S_OK, "Failed to add buffer, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to add buffer, hr %#x.\n", hr);
 
     hr = IMFSample_GetBufferCount(sample, &count);
-    ok(hr == S_OK, "Failed to get buffer count, hr %#lx.\n", hr);
-    ok(count == 2, "Unexpected buffer count %lu.\n", count);
+    ok(hr == S_OK, "Failed to get buffer count, hr %#x.\n", hr);
+    ok(count == 2, "Unexpected buffer count %u.\n", count);
 
     hr = IMFSample_ConvertToContiguousBuffer(sample, NULL);
-    ok(hr == S_OK, "Failed to convert, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to convert, hr %#x.\n", hr);
 
     hr = IMFSample_GetBufferCount(sample, &count);
-    ok(hr == S_OK, "Failed to get buffer count, hr %#lx.\n", hr);
-    ok(count == 1, "Unexpected buffer count %lu.\n", count);
+    ok(hr == S_OK, "Failed to get buffer count, hr %#x.\n", hr);
+    ok(count == 1, "Unexpected buffer count %u.\n", count);
 
     IMFMediaBuffer_Release(buffer);
 
@@ -2658,23 +2624,23 @@ static HRESULT WINAPI testcallback_Invoke(IMFAsyncCallback *iface, IMFAsyncResul
         if (is_win8_plus)
         {
             hr = IMFMediaEventQueue_GetEvent(queue, MF_EVENT_FLAG_NO_WAIT, &event);
-            ok(hr == MF_E_MULTIPLE_SUBSCRIBERS, "Failed to get event, hr %#lx.\n", hr);
+            ok(hr == MF_E_MULTIPLE_SUBSCRIBERS, "Failed to get event, hr %#x.\n", hr);
 
             hr = IMFMediaEventQueue_GetEvent(queue, 0, &event);
-            ok(hr == MF_E_MULTIPLE_SUBSCRIBERS, "Failed to get event, hr %#lx.\n", hr);
+            ok(hr == MF_E_MULTIPLE_SUBSCRIBERS, "Failed to get event, hr %#x.\n", hr);
 
             hr = IMFMediaEventQueue_EndGetEvent(queue, result, &event);
-            ok(hr == S_OK, "Failed to finalize GetEvent, hr %#lx.\n", hr);
+            ok(hr == S_OK, "Failed to finalize GetEvent, hr %#x.\n", hr);
 
             hr = IMFMediaEventQueue_EndGetEvent(queue, result, &event2);
-            ok(hr == E_FAIL, "Unexpected result, hr %#lx.\n", hr);
+            ok(hr == E_FAIL, "Unexpected result, hr %#x.\n", hr);
 
             if (event)
                 IMFMediaEvent_Release(event);
         }
 
         hr = IMFAsyncResult_GetObject(result, &obj);
-        ok(hr == E_POINTER, "Unexpected hr %#lx.\n", hr);
+        ok(hr == E_POINTER, "Unexpected hr %#x.\n", hr);
 
         IMFMediaEventQueue_Release(queue);
 
@@ -2708,42 +2674,42 @@ static void test_MFCreateAsyncResult(void)
     callback = create_test_callback(NULL);
 
     hr = MFCreateAsyncResult(NULL, NULL, NULL, NULL);
-    ok(FAILED(hr), "Unexpected hr %#lx.\n", hr);
+    ok(FAILED(hr), "Unexpected hr %#x.\n", hr);
 
     hr = MFCreateAsyncResult(NULL, NULL, NULL, &result);
-    ok(hr == S_OK, "Failed to create object, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create object, hr %#x.\n", hr);
 
     data = (MFASYNCRESULT *)result;
     ok(data->pCallback == NULL, "Unexpected callback value.\n");
-    ok(data->hrStatusResult == S_OK, "Unexpected status %#lx.\n", data->hrStatusResult);
-    ok(data->dwBytesTransferred == 0, "Unexpected byte length %lu.\n", data->dwBytesTransferred);
+    ok(data->hrStatusResult == S_OK, "Unexpected status %#x.\n", data->hrStatusResult);
+    ok(data->dwBytesTransferred == 0, "Unexpected byte length %u.\n", data->dwBytesTransferred);
     ok(data->hEvent == NULL, "Unexpected event.\n");
 
     hr = IMFAsyncResult_GetState(result, NULL);
-    ok(hr == E_POINTER, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Unexpected hr %#x.\n", hr);
 
     state = (void *)0xdeadbeef;
     hr = IMFAsyncResult_GetState(result, &state);
-    ok(hr == E_POINTER, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Unexpected hr %#x.\n", hr);
     ok(state == (void *)0xdeadbeef, "Unexpected state.\n");
 
     hr = IMFAsyncResult_GetStatus(result);
-    ok(hr == S_OK, "Unexpected status %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected status %#x.\n", hr);
 
     data->hrStatusResult = 123;
     hr = IMFAsyncResult_GetStatus(result);
-    ok(hr == 123, "Unexpected status %#lx.\n", hr);
+    ok(hr == 123, "Unexpected status %#x.\n", hr);
 
     hr = IMFAsyncResult_SetStatus(result, E_FAIL);
-    ok(hr == S_OK, "Failed to set status, hr %#lx.\n", hr);
-    ok(data->hrStatusResult == E_FAIL, "Unexpected status %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set status, hr %#x.\n", hr);
+    ok(data->hrStatusResult == E_FAIL, "Unexpected status %#x.\n", hr);
 
     hr = IMFAsyncResult_GetObject(result, NULL);
-    ok(hr == E_POINTER, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Unexpected hr %#x.\n", hr);
 
     object = (void *)0xdeadbeef;
     hr = IMFAsyncResult_GetObject(result, &object);
-    ok(hr == E_POINTER, "Failed to get object, hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Failed to get object, hr %#x.\n", hr);
     ok(object == (void *)0xdeadbeef, "Unexpected object.\n");
 
     state = IMFAsyncResult_GetStateNoAddRef(result);
@@ -2751,17 +2717,17 @@ static void test_MFCreateAsyncResult(void)
 
     /* Object. */
     hr = MFCreateAsyncResult((IUnknown *)result, &callback->IMFAsyncCallback_iface, NULL, &result2);
-    ok(hr == S_OK, "Failed to create object, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create object, hr %#x.\n", hr);
 
     data = (MFASYNCRESULT *)result2;
     ok(data->pCallback == &callback->IMFAsyncCallback_iface, "Unexpected callback value.\n");
-    ok(data->hrStatusResult == S_OK, "Unexpected status %#lx.\n", data->hrStatusResult);
-    ok(data->dwBytesTransferred == 0, "Unexpected byte length %lu.\n", data->dwBytesTransferred);
+    ok(data->hrStatusResult == S_OK, "Unexpected status %#x.\n", data->hrStatusResult);
+    ok(data->dwBytesTransferred == 0, "Unexpected byte length %u.\n", data->dwBytesTransferred);
     ok(data->hEvent == NULL, "Unexpected event.\n");
 
     object = NULL;
     hr = IMFAsyncResult_GetObject(result2, &object);
-    ok(hr == S_OK, "Failed to get object, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get object, hr %#x.\n", hr);
     ok(object == (IUnknown *)result, "Unexpected object.\n");
     IUnknown_Release(object);
 
@@ -2769,17 +2735,17 @@ static void test_MFCreateAsyncResult(void)
 
     /* State object. */
     hr = MFCreateAsyncResult(NULL, &callback->IMFAsyncCallback_iface, (IUnknown *)result, &result2);
-    ok(hr == S_OK, "Failed to create object, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create object, hr %#x.\n", hr);
 
     data = (MFASYNCRESULT *)result2;
     ok(data->pCallback == &callback->IMFAsyncCallback_iface, "Unexpected callback value.\n");
-    ok(data->hrStatusResult == S_OK, "Unexpected status %#lx.\n", data->hrStatusResult);
-    ok(data->dwBytesTransferred == 0, "Unexpected byte length %lu.\n", data->dwBytesTransferred);
+    ok(data->hrStatusResult == S_OK, "Unexpected status %#x.\n", data->hrStatusResult);
+    ok(data->dwBytesTransferred == 0, "Unexpected byte length %u.\n", data->dwBytesTransferred);
     ok(data->hEvent == NULL, "Unexpected event.\n");
 
     state = NULL;
     hr = IMFAsyncResult_GetState(result2, &state);
-    ok(hr == S_OK, "Failed to get state object, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get state object, hr %#x.\n", hr);
     ok(state == (IUnknown *)result, "Unexpected state.\n");
     IUnknown_Release(state);
 
@@ -2787,13 +2753,13 @@ static void test_MFCreateAsyncResult(void)
     ok(state == (IUnknown *)result, "Unexpected state.\n");
 
     refcount = IMFAsyncResult_Release(result2);
-    ok(!refcount, "Unexpected refcount %lu.\n", refcount);
+    ok(!refcount, "Unexpected refcount %u.\n", refcount);
     refcount = IMFAsyncResult_Release(result);
-    ok(!refcount, "Unexpected refcount %lu.\n", refcount);
+    ok(!refcount, "Unexpected refcount %u.\n", refcount);
 
     /* Event handle is closed on release. */
     hr = MFCreateAsyncResult(NULL, NULL, NULL, &result);
-    ok(hr == S_OK, "Failed to create object, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create object, hr %#x.\n", hr);
 
     data = (MFASYNCRESULT *)result;
     data->hEvent = event = CreateEventA(NULL, FALSE, FALSE, NULL);
@@ -2802,12 +2768,12 @@ static void test_MFCreateAsyncResult(void)
     ok(ret, "Failed to get handle info.\n");
 
     refcount = IMFAsyncResult_Release(result);
-    ok(!refcount, "Unexpected refcount %lu.\n", refcount);
+    ok(!refcount, "Unexpected refcount %u.\n", refcount);
     ret = GetHandleInformation(event, &flags);
     ok(!ret, "Expected handle to be closed.\n");
 
     hr = MFCreateAsyncResult(NULL, &callback->IMFAsyncCallback_iface, NULL, &result);
-    ok(hr == S_OK, "Failed to create object, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create object, hr %#x.\n", hr);
 
     data = (MFASYNCRESULT *)result;
     data->hEvent = event = CreateEventA(NULL, FALSE, FALSE, NULL);
@@ -2816,7 +2782,7 @@ static void test_MFCreateAsyncResult(void)
     ok(ret, "Failed to get handle info.\n");
 
     refcount = IMFAsyncResult_Release(result);
-    ok(!refcount, "Unexpected refcount %lu.\n", refcount);
+    ok(!refcount, "Unexpected refcount %u.\n", refcount);
     ret = GetHandleInformation(event, &flags);
     ok(!ret, "Expected handle to be closed.\n");
 
@@ -2829,63 +2795,63 @@ static void test_startup(void)
     HRESULT hr;
 
     hr = MFStartup(MAKELONG(MF_API_VERSION, 0xdead), MFSTARTUP_FULL);
-    ok(hr == MF_E_BAD_STARTUP_VERSION, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_BAD_STARTUP_VERSION, "Unexpected hr %#x.\n", hr);
 
     hr = MFStartup(MF_VERSION, MFSTARTUP_FULL);
-    ok(hr == S_OK, "Failed to start up, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to start up, hr %#x.\n", hr);
 
     hr = MFAllocateWorkQueue(&queue);
-    ok(hr == S_OK, "Failed to allocate a queue, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to allocate a queue, hr %#x.\n", hr);
     hr = MFUnlockWorkQueue(queue);
-    ok(hr == S_OK, "Failed to unlock the queue, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to unlock the queue, hr %#x.\n", hr);
 
     hr = MFShutdown();
-    ok(hr == S_OK, "Failed to shut down, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to shut down, hr %#x.\n", hr);
 
     hr = MFAllocateWorkQueue(&queue);
-    ok(hr == MF_E_SHUTDOWN, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_SHUTDOWN, "Unexpected hr %#x.\n", hr);
 
     /* Already shut down, has no effect. */
     hr = MFShutdown();
-    ok(hr == S_OK, "Failed to shut down, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to shut down, hr %#x.\n", hr);
 
     hr = MFStartup(MF_VERSION, MFSTARTUP_FULL);
-    ok(hr == S_OK, "Failed to start up, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to start up, hr %#x.\n", hr);
 
     hr = MFAllocateWorkQueue(&queue);
-    ok(hr == S_OK, "Failed to allocate a queue, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to allocate a queue, hr %#x.\n", hr);
     hr = MFUnlockWorkQueue(queue);
-    ok(hr == S_OK, "Failed to unlock the queue, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to unlock the queue, hr %#x.\n", hr);
 
     hr = MFShutdown();
-    ok(hr == S_OK, "Failed to shut down, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to shut down, hr %#x.\n", hr);
 
     /* Platform lock. */
     hr = MFStartup(MF_VERSION, MFSTARTUP_FULL);
-    ok(hr == S_OK, "Failed to start up, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to start up, hr %#x.\n", hr);
 
     hr = MFAllocateWorkQueue(&queue);
-    ok(hr == S_OK, "Failed to allocate a queue, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to allocate a queue, hr %#x.\n", hr);
     hr = MFUnlockWorkQueue(queue);
-    ok(hr == S_OK, "Failed to unlock the queue, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to unlock the queue, hr %#x.\n", hr);
 
     /* Unlocking implies shutdown. */
     hr = MFUnlockPlatform();
-    ok(hr == S_OK, "Failed to unlock, %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to unlock, %#x.\n", hr);
 
     hr = MFAllocateWorkQueue(&queue);
-    ok(hr == MF_E_SHUTDOWN, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_SHUTDOWN, "Unexpected hr %#x.\n", hr);
 
     hr = MFLockPlatform();
-    ok(hr == S_OK, "Failed to lock, %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to lock, %#x.\n", hr);
 
     hr = MFAllocateWorkQueue(&queue);
-    ok(hr == S_OK, "Failed to allocate a queue, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to allocate a queue, hr %#x.\n", hr);
     hr = MFUnlockWorkQueue(queue);
-    ok(hr == S_OK, "Failed to unlock the queue, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to unlock the queue, hr %#x.\n", hr);
 
     hr = MFShutdown();
-    ok(hr == S_OK, "Failed to shut down, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to shut down, hr %#x.\n", hr);
 }
 
 static void test_allocate_queue(void)
@@ -2894,37 +2860,37 @@ static void test_allocate_queue(void)
     HRESULT hr;
 
     hr = MFStartup(MF_VERSION, MFSTARTUP_FULL);
-    ok(hr == S_OK, "Failed to start up, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to start up, hr %#x.\n", hr);
 
     hr = MFAllocateWorkQueue(&queue);
-    ok(hr == S_OK, "Failed to allocate a queue, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to allocate a queue, hr %#x.\n", hr);
     ok(queue & MFASYNC_CALLBACK_QUEUE_PRIVATE_MASK, "Unexpected queue id.\n");
 
     hr = MFUnlockWorkQueue(queue);
-    ok(hr == S_OK, "Failed to unlock the queue, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to unlock the queue, hr %#x.\n", hr);
 
     hr = MFUnlockWorkQueue(queue);
-    ok(FAILED(hr), "Unexpected hr %#lx.\n", hr);
+    ok(FAILED(hr), "Unexpected hr %#x.\n", hr);
 
     hr = MFAllocateWorkQueue(&queue2);
-    ok(hr == S_OK, "Failed to allocate a queue, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to allocate a queue, hr %#x.\n", hr);
     ok(queue2 & MFASYNC_CALLBACK_QUEUE_PRIVATE_MASK, "Unexpected queue id.\n");
 
     hr = MFUnlockWorkQueue(queue2);
-    ok(hr == S_OK, "Failed to unlock the queue, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to unlock the queue, hr %#x.\n", hr);
 
     /* Unlock in system queue range. */
     hr = MFUnlockWorkQueue(MFASYNC_CALLBACK_QUEUE_STANDARD);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
     hr = MFUnlockWorkQueue(MFASYNC_CALLBACK_QUEUE_UNDEFINED);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
     hr = MFUnlockWorkQueue(0x20);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
     hr = MFShutdown();
-    ok(hr == S_OK, "Failed to shut down, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to shut down, hr %#x.\n", hr);
 }
 
 static void test_MFCopyImage(void)
@@ -2942,21 +2908,21 @@ static void test_MFCopyImage(void)
     memset(src, 0x11, sizeof(src));
 
     hr = pMFCopyImage(dest, 8, src, 8, 4, 1);
-    ok(hr == S_OK, "Failed to copy image %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to copy image %#x.\n", hr);
     ok(!memcmp(dest, src, 4) && dest[4] == 0xaa, "Unexpected buffer contents.\n");
 
     memset(dest, 0xaa, sizeof(dest));
     memset(src, 0x11, sizeof(src));
 
     hr = pMFCopyImage(dest, 8, src, 8, 16, 1);
-    ok(hr == S_OK, "Failed to copy image %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to copy image %#x.\n", hr);
     ok(!memcmp(dest, src, 16), "Unexpected buffer contents.\n");
 
     memset(dest, 0xaa, sizeof(dest));
     memset(src, 0x11, sizeof(src));
 
     hr = pMFCopyImage(dest, 8, src, 8, 8, 2);
-    ok(hr == S_OK, "Failed to copy image %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to copy image %#x.\n", hr);
     ok(!memcmp(dest, src, 16), "Unexpected buffer contents.\n");
 }
 
@@ -2968,96 +2934,96 @@ static void test_MFCreateCollection(void)
     HRESULT hr;
 
     hr = MFCreateCollection(NULL);
-    ok(hr == E_POINTER, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Unexpected hr %#x.\n", hr);
 
     hr = MFCreateCollection(&collection);
-    ok(hr == S_OK, "Failed to create collection, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create collection, hr %#x.\n", hr);
 
     hr = IMFCollection_GetElementCount(collection, NULL);
-    ok(hr == E_POINTER, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Unexpected hr %#x.\n", hr);
 
     count = 1;
     hr = IMFCollection_GetElementCount(collection, &count);
-    ok(hr == S_OK, "Failed to get element count, hr %#lx.\n", hr);
-    ok(count == 0, "Unexpected count %lu.\n", count);
+    ok(hr == S_OK, "Failed to get element count, hr %#x.\n", hr);
+    ok(count == 0, "Unexpected count %u.\n", count);
 
     hr = IMFCollection_GetElement(collection, 0, NULL);
-    ok(hr == E_POINTER, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Unexpected hr %#x.\n", hr);
 
     element = (void *)0xdeadbeef;
     hr = IMFCollection_GetElement(collection, 0, &element);
-    ok(hr == E_INVALIDARG, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Unexpected hr %#x.\n", hr);
     ok(element == (void *)0xdeadbeef, "Unexpected pointer.\n");
 
     hr = IMFCollection_RemoveElement(collection, 0, NULL);
-    ok(hr == E_POINTER, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Unexpected hr %#x.\n", hr);
 
     element = (void *)0xdeadbeef;
     hr = IMFCollection_RemoveElement(collection, 0, &element);
-    ok(hr == E_INVALIDARG, "Failed to remove element, hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Failed to remove element, hr %#x.\n", hr);
     ok(element == (void *)0xdeadbeef, "Unexpected pointer.\n");
 
     hr = IMFCollection_RemoveAllElements(collection);
-    ok(hr == S_OK, "Failed to clear, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to clear, hr %#x.\n", hr);
 
     hr = IMFCollection_AddElement(collection, (IUnknown *)collection);
-    ok(hr == S_OK, "Failed to add element, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to add element, hr %#x.\n", hr);
 
     count = 0;
     hr = IMFCollection_GetElementCount(collection, &count);
-    ok(hr == S_OK, "Failed to get element count, hr %#lx.\n", hr);
-    ok(count == 1, "Unexpected count %lu.\n", count);
+    ok(hr == S_OK, "Failed to get element count, hr %#x.\n", hr);
+    ok(count == 1, "Unexpected count %u.\n", count);
 
     hr = IMFCollection_AddElement(collection, NULL);
-    ok(hr == S_OK, "Failed to add element, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to add element, hr %#x.\n", hr);
 
     count = 0;
     hr = IMFCollection_GetElementCount(collection, &count);
-    ok(hr == S_OK, "Failed to get element count, hr %#lx.\n", hr);
-    ok(count == 2, "Unexpected count %lu.\n", count);
+    ok(hr == S_OK, "Failed to get element count, hr %#x.\n", hr);
+    ok(count == 2, "Unexpected count %u.\n", count);
 
     hr = IMFCollection_InsertElementAt(collection, 10, (IUnknown *)collection);
-    ok(hr == S_OK, "Failed to insert element, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to insert element, hr %#x.\n", hr);
 
     count = 0;
     hr = IMFCollection_GetElementCount(collection, &count);
-    ok(hr == S_OK, "Failed to get element count, hr %#lx.\n", hr);
-    ok(count == 11, "Unexpected count %lu.\n", count);
+    ok(hr == S_OK, "Failed to get element count, hr %#x.\n", hr);
+    ok(count == 11, "Unexpected count %u.\n", count);
 
     hr = IMFCollection_GetElement(collection, 0, &element);
-    ok(hr == S_OK, "Failed to get element, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get element, hr %#x.\n", hr);
     ok(element == (IUnknown *)collection, "Unexpected element.\n");
     IUnknown_Release(element);
 
     hr = IMFCollection_GetElement(collection, 1, &element);
-    ok(hr == E_UNEXPECTED, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_UNEXPECTED, "Unexpected hr %#x.\n", hr);
     ok(!element, "Unexpected element.\n");
 
     hr = IMFCollection_GetElement(collection, 2, &element);
-    ok(hr == E_UNEXPECTED, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_UNEXPECTED, "Unexpected hr %#x.\n", hr);
     ok(!element, "Unexpected element.\n");
 
     hr = IMFCollection_GetElement(collection, 10, &element);
-    ok(hr == S_OK, "Failed to get element, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get element, hr %#x.\n", hr);
     ok(element == (IUnknown *)collection, "Unexpected element.\n");
     IUnknown_Release(element);
 
     hr = IMFCollection_InsertElementAt(collection, 0, NULL);
-    ok(hr == S_OK, "Failed to insert element, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to insert element, hr %#x.\n", hr);
 
     hr = IMFCollection_GetElement(collection, 0, &element);
-    ok(hr == E_UNEXPECTED, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_UNEXPECTED, "Unexpected hr %#x.\n", hr);
 
     hr = IMFCollection_RemoveAllElements(collection);
-    ok(hr == S_OK, "Failed to clear, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to clear, hr %#x.\n", hr);
 
     count = 1;
     hr = IMFCollection_GetElementCount(collection, &count);
-    ok(hr == S_OK, "Failed to get element count, hr %#lx.\n", hr);
-    ok(count == 0, "Unexpected count %lu.\n", count);
+    ok(hr == S_OK, "Failed to get element count, hr %#x.\n", hr);
+    ok(count == 0, "Unexpected count %u.\n", count);
 
     hr = IMFCollection_InsertElementAt(collection, 0, NULL);
-    ok(hr == S_OK, "Failed to insert element, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to insert element, hr %#x.\n", hr);
 
     IMFCollection_Release(collection);
 }
@@ -3082,16 +3048,16 @@ static void test_scheduled_items(void)
     callback = create_test_callback(NULL);
 
     hr = MFStartup(MF_VERSION, MFSTARTUP_FULL);
-    ok(hr == S_OK, "Failed to start up, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to start up, hr %#x.\n", hr);
 
     hr = MFScheduleWorkItem(&callback->IMFAsyncCallback_iface, NULL, -5000, &key);
-    ok(hr == S_OK, "Failed to schedule item, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to schedule item, hr %#x.\n", hr);
 
     hr = MFCancelWorkItem(key);
-    ok(hr == S_OK, "Failed to cancel item, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to cancel item, hr %#x.\n", hr);
 
     hr = MFCancelWorkItem(key);
-    ok(hr == MF_E_NOT_FOUND || broken(hr == S_OK) /* < win10 */, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_NOT_FOUND || broken(hr == S_OK) /* < win10 */, "Unexpected hr %#x.\n", hr);
 
     if (!pMFPutWaitingWorkItem)
     {
